# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLAppletElement Class Reference

An embedded Java applet. More...

`#include <html_object.h>`

Inheritance diagram for DOM::HTMLAppletElement:

[legend]
Collaboration diagram for DOM::HTMLAppletElement:

[legend]
List of all members.

## Public Member Functions

| HTMLAppletElement (const HTMLAppletElement &other)
| HTMLAppletElement (const Node &other)
HTMLAppletElement & | operator= (const HTMLAppletElement &other)
HTMLAppletElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | alt () const
void | setAlt (const DOMString &)
DOMString | archive () const
void | setArchive (const DOMString &)
DOMString | code () const
void | setCode (const DOMString &)
DOMString | codeBase () const
void | setCodeBase (const DOMString &value)
DOMString | height () const
void | setHeight (const DOMString &)
long | getHspace () const
void | setHspace (long)
DOMString | hspace () const KDE_DEPRECATED
void | setHspace (const DOMString &value) KDE_DEPRECATED
DOMString | name () const
void | setName (const DOMString &)
DOMString | object () const
void | setObject (const DOMString &)
long | getVspace () const
void | setVspace (long)
DOMString | vspace () const KDE_DEPRECATED
void | setVspace (const DOMString &) KDE_DEPRECATED
DOMString | width () const
void | setWidth (const DOMString &)

## Protected Member Functions

| HTMLAppletElement (HTMLAppletElementImpl *impl)

## Detailed Description

An embedded Java applet.

See the APPLET element definition in HTML 4.0. This element is deprecated in HTML 4.0.

Definition at line 50 of file html_object.h.

## Member Function Documentation

DOMString DOM::HTMLAppletElement::align | ( |  | ) | const

| Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setAlign | ( | const DOMString & |  | ) |

| see align

DOMString DOM::HTMLAppletElement::alt | ( |  | ) | const

| Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setAlt | ( | const DOMString & |  | ) |

| see alt

DOMString DOM::HTMLAppletElement::archive | ( |  | ) | const

| Comma-separated archive list. See the archive attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setArchive | ( | const DOMString & |  | ) |

| see archive

DOMString DOM::HTMLAppletElement::code | ( |  | ) | const

| Applet class file. See the code attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setCode | ( | const DOMString & |  | ) |

| see code

DOMString DOM::HTMLAppletElement::codeBase | ( |  | ) | const

| Optional base URI for applet. See the codebase attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setCodeBase | ( | const DOMString & | value | ) |

| see codeBase

DOMString DOM::HTMLAppletElement::height | ( |  | ) | const

| Override height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setHeight | ( | const DOMString & |  | ) |

| see height

long DOM::HTMLAppletElement::getHspace | ( |  | ) | const

| Horizontal space, in pixels, to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setHspace | ( | long |  | ) |

| see hspace

DOMString DOM::HTMLAppletElement::hspace | ( |  | ) | const

Deprecated:

void DOM::HTMLAppletElement::setHspace | ( | const DOMString & | value | ) |

Deprecated:

DOMString DOM::HTMLAppletElement::name | ( |  | ) | const

| The name of the applet. See the name attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setName | ( | const DOMString & |  | ) |

| see name

DOMString DOM::HTMLAppletElement::object | ( |  | ) | const

| Serialized applet file. See the object attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setObject | ( | const DOMString & |  | ) |

| see object

long DOM::HTMLAppletElement::getVspace | ( |  | ) | const

| Vertical space, in pixels, above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setVspace | ( | long |  | ) |

| see vspace

DOMString DOM::HTMLAppletElement::vspace | ( |  | ) | const

Deprecated:

void DOM::HTMLAppletElement::setVspace | ( | const DOMString & |  | ) |

Deprecated:

DOMString DOM::HTMLAppletElement::width | ( |  | ) | const

| Override width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

void DOM::HTMLAppletElement::setWidth | ( | const DOMString & |  | ) |

| see width

The documentation for this class was generated from the following file:

- html_object.h

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:27 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003